curl
curl -sS -X PATCH "https://gateway.orbit/api/v1/database-connections/app" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"driver": "mysql"}'{
"data": {
"id": 123,
"slug": "<string>",
"driver": "<string>",
"node_id": 123,
"host": "<string>",
"port": 123,
"database": "<string>",
"path": "<string>",
"username": "<string>",
"has_password": true,
"server": "<string>",
"owner_instance_id": 123,
"test_database": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Database connections
Update a Database connection
Update a Database connection.
PATCH
/
api
/
v1
/
database-connections
/
{database_connection}
curl
curl -sS -X PATCH "https://gateway.orbit/api/v1/database-connections/app" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"driver": "mysql"}'{
"data": {
"id": 123,
"slug": "<string>",
"driver": "<string>",
"node_id": 123,
"host": "<string>",
"port": 123,
"database": "<string>",
"path": "<string>",
"username": "<string>",
"has_password": true,
"server": "<string>",
"owner_instance_id": 123,
"test_database": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Path Parameters
Database connection slug.
Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Body
application/json
Driver: mysql, pgsql, sqlite, or redis
Available options:
mysql, pgsql, sqlite, redis Required range:
x >= 1Hostname or IP for mysql and pgsql
Maximum string length:
255Pattern:
^[A-Za-z0-9](?:[A-Za-z0-9.-]{0,253}[A-Za-z0-9])?$(?![\s\S])TCP port for mysql and pgsql
Required range:
1 <= x <= 65535Database name for mysql and pgsql
Maximum string length:
64Pattern:
^(?:[A-Za-z_][A-Za-z0-9_$]{0,63}|[0-9]{1,3})$(?![\s\S])Unix absolute sqlite path
Maximum string length:
1024Pattern:
^\/[^\x00]{1,1023}$(?![\s\S])Username
Maximum string length:
128Pattern:
^[\x21-\x7E]{1,128}$(?![\s\S])Password
Maximum string length:
1024